package cn.cslg.pas.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

/**
 * 网站配置
 * @TableName web_config
 */
@TableName(value ="web_config")
public class WebConfig implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 网站名称
     */
    private String webName;

    /**
     * 网站地址
     */
    private String webAddress;

    /**
     * 账号
     */
    private String webAccount;

    /**
     * 网站密码
     */
    private String webPassword;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 网站名称
     */
    public String getWebName() {
        return webName;
    }

    /**
     * 网站名称
     */
    public void setWebName(String webName) {
        this.webName = webName;
    }

    /**
     * 网站地址
     */
    public String getWebAddress() {
        return webAddress;
    }

    /**
     * 网站地址
     */
    public void setWebAddress(String webAddress) {
        this.webAddress = webAddress;
    }

    /**
     * 账号
     */
    public String getWebAccount() {
        return webAccount;
    }

    /**
     * 账号
     */
    public void setWebAccount(String webAccount) {
        this.webAccount = webAccount;
    }

    /**
     * 网站密码
     */
    public String getWebPassword() {
        return webPassword;
    }

    /**
     * 网站密码
     */
    public void setWebPassword(String webPassword) {
        this.webPassword = webPassword;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WebConfig other = (WebConfig) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getWebName() == null ? other.getWebName() == null : this.getWebName().equals(other.getWebName()))
            && (this.getWebAddress() == null ? other.getWebAddress() == null : this.getWebAddress().equals(other.getWebAddress()))
            && (this.getWebAccount() == null ? other.getWebAccount() == null : this.getWebAccount().equals(other.getWebAccount()))
            && (this.getWebPassword() == null ? other.getWebPassword() == null : this.getWebPassword().equals(other.getWebPassword()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getWebName() == null) ? 0 : getWebName().hashCode());
        result = prime * result + ((getWebAddress() == null) ? 0 : getWebAddress().hashCode());
        result = prime * result + ((getWebAccount() == null) ? 0 : getWebAccount().hashCode());
        result = prime * result + ((getWebPassword() == null) ? 0 : getWebPassword().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", webName=").append(webName);
        sb.append(", webAddress=").append(webAddress);
        sb.append(", webAccount=").append(webAccount);
        sb.append(", webPassword=").append(webPassword);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}